Package org.kapott.hbci.sepa.jaxb.pain_001_002_03

## Class CreditTransferTransactionInformationSCT

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_002_03.CreditTransferTransactionInformationSCT

    public class CreditTransferTransactionInformationSCT
    extends java.lang.Object

Java class for CreditTransferTransactionInformationSCT complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditTransferTransactionInformationSCT">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PmtId" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.002.03}PaymentIdentificationSEPA"/>
             <element name="PmtTpInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.002.03}PaymentTypeInformationSCT2" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.002.03}AmountTypeSEPA"/>
             <element name="ChrgBr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.002.03}ChargeBearerTypeSEPACode" minOccurs="0"/>
             <element name="UltmtDbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.002.03}PartyIdentificationSEPA1" minOccurs="0"/>
             <element name="CdtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.002.03}BranchAndFinancialInstitutionIdentificationSEPA1"/>
             <element name="Cdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.002.03}PartyIdentificationSEPA2"/>
             <element name="CdtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.002.03}CashAccountSEPA2"/>
             <element name="UltmtCdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.002.03}PartyIdentificationSEPA1" minOccurs="0"/>
             <element name="Purp" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.002.03}PurposeSEPA" minOccurs="0"/>
             <element name="RmtInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.002.03}RemittanceInformationSEPA1Choice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected AmountTypeSEPA` `amt`
`protected PartyIdentificationSEPA2` `cdtr`
`protected CashAccountSEPA2` `cdtrAcct`
`protected BranchAndFinancialInstitutionIdentificationSEPA1` `cdtrAgt`
`protected ChargeBearerTypeSEPACode` `chrgBr`
`protected PaymentIdentificationSEPA` `pmtId`
`protected PaymentTypeInformationSCT2` `pmtTpInf`
`protected PurposeSEPA` `purp`
`protected RemittanceInformationSEPA1Choice` `rmtInf`
`protected PartyIdentificationSEPA1` `ultmtCdtr`
`protected PartyIdentificationSEPA1` `ultmtDbtr`

### Constructor Summary

Constructors
`CreditTransferTransactionInformationSCT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AmountTypeSEPA` `getAmt()` Gets the value of the amt property.
`PartyIdentificationSEPA2` `getCdtr()` Gets the value of the cdtr property.
`CashAccountSEPA2` `getCdtrAcct()` Gets the value of the cdtrAcct property.
`BranchAndFinancialInstitutionIdentificationSEPA1` `getCdtrAgt()` Gets the value of the cdtrAgt property.
`ChargeBearerTypeSEPACode` `getChrgBr()` Gets the value of the chrgBr property.
`PaymentIdentificationSEPA` `getPmtId()` Gets the value of the pmtId property.
`PaymentTypeInformationSCT2` `getPmtTpInf()` Gets the value of the pmtTpInf property.
`PurposeSEPA` `getPurp()` Gets the value of the purp property.
`RemittanceInformationSEPA1Choice` `getRmtInf()` Gets the value of the rmtInf property.
`PartyIdentificationSEPA1` `getUltmtCdtr()` Gets the value of the ultmtCdtr property.
`PartyIdentificationSEPA1` `getUltmtDbtr()` Gets the value of the ultmtDbtr property.
`void` `setAmt​(AmountTypeSEPA value)` Sets the value of the amt property.
`void` `setCdtr​(PartyIdentificationSEPA2 value)` Sets the value of the cdtr property.
`void` `setCdtrAcct​(CashAccountSEPA2 value)` Sets the value of the cdtrAcct property.
`void` `setCdtrAgt​(BranchAndFinancialInstitutionIdentificationSEPA1 value)` Sets the value of the cdtrAgt property.
`void` `setChrgBr​(ChargeBearerTypeSEPACode value)` Sets the value of the chrgBr property.
`void` `setPmtId​(PaymentIdentificationSEPA value)` Sets the value of the pmtId property.
`void` `setPmtTpInf​(PaymentTypeInformationSCT2 value)` Sets the value of the pmtTpInf property.
`void` `setPurp​(PurposeSEPA value)` Sets the value of the purp property.
`void` `setRmtInf​(RemittanceInformationSEPA1Choice value)` Sets the value of the rmtInf property.
`void` `setUltmtCdtr​(PartyIdentificationSEPA1 value)` Sets the value of the ultmtCdtr property.
`void` `setUltmtDbtr​(PartyIdentificationSEPA1 value)` Sets the value of the ultmtDbtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pmtId

    protected PaymentIdentificationSEPA pmtId

#### pmtTpInf

    protected PaymentTypeInformationSCT2 pmtTpInf

#### amt

    protected AmountTypeSEPA amt

#### chrgBr

    protected ChargeBearerTypeSEPACode chrgBr

#### ultmtDbtr

    protected PartyIdentificationSEPA1 ultmtDbtr

#### cdtrAgt

    protected BranchAndFinancialInstitutionIdentificationSEPA1 cdtrAgt

#### cdtr

    protected PartyIdentificationSEPA2 cdtr

#### cdtrAcct

    protected CashAccountSEPA2 cdtrAcct

#### ultmtCdtr

    protected PartyIdentificationSEPA1 ultmtCdtr

#### purp

    protected PurposeSEPA purp

#### rmtInf

    protected RemittanceInformationSEPA1Choice rmtInf

### Constructor Detail

#### CreditTransferTransactionInformationSCT

    public CreditTransferTransactionInformationSCT()

### Method Detail

#### getPmtId

    public PaymentIdentificationSEPA getPmtId()

Gets the value of the pmtId property.

Returns:
  possible object is `PaymentIdentificationSEPA`

#### setPmtId

    public void setPmtId​(PaymentIdentificationSEPA value)

Sets the value of the pmtId property.

Parameters:
  `value` - allowed object is `PaymentIdentificationSEPA`

#### getPmtTpInf

    public PaymentTypeInformationSCT2 getPmtTpInf()

Gets the value of the pmtTpInf property.

Returns:
  possible object is `PaymentTypeInformationSCT2`

#### setPmtTpInf

    public void setPmtTpInf​(PaymentTypeInformationSCT2 value)

Sets the value of the pmtTpInf property.

Parameters:
  `value` - allowed object is `PaymentTypeInformationSCT2`

#### getAmt

    public AmountTypeSEPA getAmt()

Gets the value of the amt property.

Returns:
  possible object is `AmountTypeSEPA`

#### setAmt

    public void setAmt​(AmountTypeSEPA value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `AmountTypeSEPA`

#### getChrgBr

    public ChargeBearerTypeSEPACode getChrgBr()

Gets the value of the chrgBr property.

Returns:
  possible object is `ChargeBearerTypeSEPACode`

#### setChrgBr

    public void setChrgBr​(ChargeBearerTypeSEPACode value)

Sets the value of the chrgBr property.

Parameters:
  `value` - allowed object is `ChargeBearerTypeSEPACode`

#### getUltmtDbtr

    public PartyIdentificationSEPA1 getUltmtDbtr()

Gets the value of the ultmtDbtr property.

Returns:
  possible object is `PartyIdentificationSEPA1`

#### setUltmtDbtr

    public void setUltmtDbtr​(PartyIdentificationSEPA1 value)

Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA1`

#### getCdtrAgt

    public BranchAndFinancialInstitutionIdentificationSEPA1 getCdtrAgt()

Gets the value of the cdtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentificationSEPA1`

#### setCdtrAgt

    public void setCdtrAgt​(BranchAndFinancialInstitutionIdentificationSEPA1 value)

Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSEPA1`

#### getCdtr

    public PartyIdentificationSEPA2 getCdtr()

Gets the value of the cdtr property.

Returns:
  possible object is `PartyIdentificationSEPA2`

#### setCdtr

    public void setCdtr​(PartyIdentificationSEPA2 value)

Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA2`

#### getCdtrAcct

    public CashAccountSEPA2 getCdtrAcct()

Gets the value of the cdtrAcct property.

Returns:
  possible object is `CashAccountSEPA2`

#### setCdtrAcct

    public void setCdtrAcct​(CashAccountSEPA2 value)

Sets the value of the cdtrAcct property.

Parameters:
  `value` - allowed object is `CashAccountSEPA2`

#### getUltmtCdtr

    public PartyIdentificationSEPA1 getUltmtCdtr()

Gets the value of the ultmtCdtr property.

Returns:
  possible object is `PartyIdentificationSEPA1`

#### setUltmtCdtr

    public void setUltmtCdtr​(PartyIdentificationSEPA1 value)

Sets the value of the ultmtCdtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA1`

#### getPurp

    public PurposeSEPA getPurp()

Gets the value of the purp property.

Returns:
  possible object is `PurposeSEPA`

#### setPurp

    public void setPurp​(PurposeSEPA value)

Sets the value of the purp property.

Parameters:
  `value` - allowed object is `PurposeSEPA`

#### getRmtInf

    public RemittanceInformationSEPA1Choice getRmtInf()

Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformationSEPA1Choice`

#### setRmtInf

    public void setRmtInf​(RemittanceInformationSEPA1Choice value)

Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformationSEPA1Choice`